public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-arch/file-roller/
Date: Sat, 20 Apr 2024 14:36:42 +0000 (UTC)	[thread overview]
Message-ID: <1713623776.5d7103a6c8c22e51532b8fa30b6a192e813053e0.leio@gentoo> (raw)

commit:     5d7103a6c8c22e51532b8fa30b6a192e813053e0
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 20 13:56:07 2024 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sat Apr 20 14:36:16 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d7103a6

app-arch/file-roller: add 44.1

Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 app-arch/file-roller/Manifest                |   1 +
 app-arch/file-roller/file-roller-44.1.ebuild | 103 +++++++++++++++++++++++++++
 2 files changed, 104 insertions(+)

diff --git a/app-arch/file-roller/Manifest b/app-arch/file-roller/Manifest
index a585b313b19c..52e6538bbc51 100644
--- a/app-arch/file-roller/Manifest
+++ b/app-arch/file-roller/Manifest
@@ -1 +1,2 @@
+DIST file-roller-44.1.tar.xz 927156 BLAKE2B 60ced1711298989eda90a675095b5e7b8f1e9b84b5f4cf364bce4683ba9eac6a8a4a1857b0248cd9a49ea2161cbc5c2c36df94ebc164e195de528ba50220d1da SHA512 de0d0ce93ecba822ec495227cd484cb164a81f8b5349033d80207acc19584985f0c88bfa766a46468349e2b16b020371e2e6b73b4fb7f2f18f40f115f2391b30
 DIST file-roller-44.tar.xz 924236 BLAKE2B 12eebd312afdec8f87141d384d1476be7296073f911791328158af1ab93fcb4092ee79e0c65743c36eaa28e06b5b59503357b6c4cff87b4896d3969a67d08e45 SHA512 d40ac036161397828ded2bab7bdf1c029ef0b53fad65e0922e6eeec40442eb7a9898a7d5c3208f6dfda3ad6f51b0771f248ab64c177769b655493a44c403f824

diff --git a/app-arch/file-roller/file-roller-44.1.ebuild b/app-arch/file-roller/file-roller-44.1.ebuild
new file mode 100644
index 000000000000..6b9c0f7cfa2c
--- /dev/null
+++ b/app-arch/file-roller/file-roller-44.1.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org gnome2-utils meson readme.gentoo-r1 xdg
+
+DESCRIPTION="Archive manager for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/FileRoller"
+
+LICENSE="GPL-2+ CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="gtk-doc +introspection nautilus"
+REQUIRED_USE="gtk-doc? ( introspection )"
+
+# gdk-pixbuf used extensively in the source
+# cairo used in eggtreemultidnd.c
+# pango used in fr-window
+RDEPEND="
+	>=dev-libs/glib-2.38:2
+	>=gui-libs/gtk-4.8.1:4[introspection?]
+	>=gui-libs/libadwaita-1.2:1
+	nautilus? ( >=gnome-base/nautilus-43.0 )
+	>=dev-libs/json-glib-0.14
+	>=app-arch/libarchive-3.2:=
+	introspection? ( dev-libs/gobject-introspection )
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf:2
+	x11-libs/pango
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-util/glib-utils
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+	gtk-doc? ( dev-util/gi-docgen )
+"
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="
+${PN} is a frontend for several archiving utilities. If you want a
+particular archive format support, see ${HOMEPAGE}
+and install the relevant package. For example:
+7-zip   - app-arch/p7zip
+ace     - app-arch/unace
+arj     - app-arch/arj
+brotli  - app-arch/brotli
+cpio    - app-alternatives/cpio
+deb     - app-arch/dpkg
+iso     - app-cdr/cdrtools
+jar,zip - app-arch/zip and app-arch/unzip
+lha     - app-arch/lha
+lzop    - app-arch/lzop
+lz4     - app-arch/lz4
+rar     - app-arch/unrar or app-arch/unar
+rpm     - app-arch/rpm
+unstuff - app-arch/stuffit
+zstd    - app-arch/zstd
+zoo     - app-arch/zoo"
+
+src_prepare() {
+	# File providing Gentoo package names for various archivers
+	cp -v "${FILESDIR}"/3.36-packages.match data/packages.match || die
+
+	default
+	xdg_environment_reset
+}
+
+src_configure() {
+	local emesonargs=(
+		-Drun-in-place=false
+		$(meson_feature nautilus nautilus-actions)
+		-Dnotification=enabled
+		-Duse_native_appchooser=false
+		-Dpackagekit=false
+		-Dlibarchive=enabled
+		$(meson_feature introspection)
+		$(meson_feature gtk-doc api_docs)
+	)
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+	if use gtk-doc; then
+		mkdir -p "${ED}"/usr/share/gtk-doc/ || die
+		mv "${ED}"/usr/share/doc/file-roller "${ED}"/usr/share/gtk-doc/file-roller || die
+	fi
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+	readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


             reply	other threads:[~2024-04-20 14:36 UTC|newest]

Thread overview: 49+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-20 14:36 Mart Raudsepp [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-19 21:51 [gentoo-commits] repo/gentoo:master commit in: app-arch/file-roller/ Mart Raudsepp
2024-03-24 20:46 Mart Raudsepp
2024-03-02 22:33 Mart Raudsepp
2024-02-18  6:09 Arthur Zamarin
2023-12-18 10:19 Pacho Ramos
2023-11-17  7:47 Sam James
2023-09-22  3:13 Matt Turner
2023-09-22  3:13 Matt Turner
2022-10-29 22:33 Matt Turner
2022-03-23  6:14 Matt Turner
2021-11-23  1:25 Yixun Lan
2021-05-02 15:01 Matt Turner
2021-04-28 16:30 Matt Turner
2021-04-25 17:42 Sam James
2021-04-21 18:53 Sam James
2021-04-20  2:49 Matt Turner
2020-12-18 12:32 Mart Raudsepp
2020-08-25 17:02 Sam James
2020-08-25  1:12 Sam James
2020-04-20 20:30 Mart Raudsepp
2020-04-19  8:53 Michał Górny
2020-02-18 12:15 Mart Raudsepp
2020-01-28  9:39 Mart Raudsepp
2019-12-15 16:48 Pacho Ramos
2019-09-15 11:43 Pacho Ramos
2019-05-18 13:41 Mart Raudsepp
2019-03-29 23:27 Mart Raudsepp
2019-03-14 10:26 Mart Raudsepp
2019-03-06 21:17 Mart Raudsepp
2019-01-18 21:37 Mart Raudsepp
2018-08-05  9:59 Mart Raudsepp
2018-03-31 18:50 Mart Raudsepp
2018-01-27  9:38 Mart Raudsepp
2018-01-27  0:41 Thomas Deutschmann
2018-01-18  1:49 Mikle Kolyada
2017-08-09 22:58 Gilles Dartiguelongue
2017-08-09 22:58 Gilles Dartiguelongue
2017-04-02 14:00 Mart Raudsepp
2017-03-19 22:23 Mart Raudsepp
2016-11-13 11:39 Gilles Dartiguelongue
2016-11-09  8:28 Gilles Dartiguelongue
2016-10-20  7:42 Gilles Dartiguelongue
2016-10-20  7:42 Gilles Dartiguelongue
2016-08-31 22:07 Gilles Dartiguelongue
2016-06-24 20:06 Pacho Ramos
2016-04-17 11:13 Pacho Ramos
2015-09-05 11:45 Pacho Ramos
2015-09-05 11:44 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1713623776.5d7103a6c8c22e51532b8fa30b6a192e813053e0.leio@gentoo \
    --to=leio@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox